/* Genel */
:root {
    --primary: #2c79ba !important;
    --danger: #E65C5C;
    --secondary: #d6d6d6;
}

html, body {
    height: 100%;
}

body {
    -webkit-font-smoothing: antialiased;
    font-family: 'Lucida Grande', sans-serif, serif;
}

.form-group {
    margin-bottom: 1.15rem;
}

/* Form */
.older-input {
    background: #FFF;
    width: 100%;
    height: 30px;
    border-radius: 17px;
    box-shadow: 0 1px 3px rgba(0,0,0,.06);
    font-size: 13px;
    color: #606060;
    border: 1px solid transparent;
    outline: 0;
    padding: 0 16px;
    box-sizing: border-box;
    transition: .4s;
}

.older-input::placeholder {
    color: #606060;
}

.older-input:hover,
.older-input:focus {
    box-shadow: 0 1px 5px rgba(0,0,0,.12);
    transition: .4s;
}

.older-input:focus {
    border: 1px solid var(--primary);
}

.older-input.older-search {
    transform: scale(.9);
    padding-right: 36px;
}

.older-admin-search-icon {
    transition: .4s;
}

.older-input.older-search:focus + .older-admin-search-icon {
    color: var(--primary);
    transition: .4s;
}

.button {
    height: 38px !important;
    line-height: 19px;
    border-radius: 32px;
    font-size: 15px;
    text-align: center;
    text-transform: uppercase;
    width: 100%;
    box-sizing: border-box;
    border: 0;
    padding: 6px 10px;
}

a.button:hover {
    text-decoration: none;
}

.button:focus {
    outline: 0;
}

.button-small {
    font-size: 10px;
    height: 18px;
    line-height: 14px;
    display: inline-block;
}


/* Arkaplan */

/* Buraya tüm arkaplan sınıfları yazılacak!!! */
.b-primary, .b-danger, .b-secondary {
    transition: .2s;
    border: 2px solid transparent;
}
/* ****************************************** */

.b-small {
    font-size: 10px !important;
}

.b-medium {
    width: auto;
    height: 31px !important;
    padding: 4px;
    font-size: 12px;
}

.b-primary {
    background: var(--primary);
    color: #FFF !important;
}

.b-danger {
    background: var(--danger);
    color: #FFF;
}

.b-secondary {
    background: var(--secondary);
    color: #222;
}

.b-disabled {
    background: var(--secondary) !important;
    color: #222 !important;
    cursor: default !important;
    pointer-events: none;
}

.b-primary:hover,
.b-danger:hover,
.b-secondary:hover {
    filter: brightness(75%);
}

.b-primary:focus,
.b-danger:focus,
.b-secondary:focus {
    border-color: rgba(255,255,255,.5);
}

.turn-button {
    width: 59px;
    height: 31px;
    border-radius: 31px;
    background: #FFFFFF;
    box-shadow: 0 1px 3px rgba(0,0,0,.06);
    align-items: center;
    display: grid;
    padding: 0 2px;
    cursor: pointer;
    position: relative;
}

.turn-button .tool {
    width: 27px;
    height: 27px;
    border-radius: 100%;
    transition: .2s;
    position: absolute;
}

.turn-button.turn-on .tool {
    background: #90D680;
    right: 30px;
}

.turn-button.turn-off .tool {
    background: #d4d4d4;
    right: 2px;
}

.progress-bar {
    width: 100%;
    height: 12px;
    background: #E9E9E9;
    border-radius: 8px;
    padding: 2px;
}

.progress-bar .bar-load {
    height: 100%;
    background: red;
    border-radius: 16px;
    transition: .25s;
}

.bg-primary {
    background: var(--primary) !important;
}

.bg-secondary {
    background: var(--secondary) !important;
}

.bg-danger {
    background: var(--danger) !important;
}

/* Mobil */
@media (max-width: 767px) {
    /* Form */
    .older-input:not(.older-search) {
        height: 42px;
        line-height: 21px;
        font-size: 16px;
    }

    .button:not(.button-small) {
        height: 46px;
        line-height: 23px;
        font-size: 18px;
    }
}